<h2>October 2018 - February 2019</h2>
<!-- DESCRIPTION -->

I started with <a href="https://www.kaggle.com">Kaggle</a> to aquire datasets which I will use to create and test my neural network. My completed my first challenge called <a href="https://www.kaggle.com/c/digit-recognizer/overview">Digit Recognizer</a> where I created a neural network that can identify handwritten digits. I used the Tensorflow library to create my neural network.

Next, I worked on classfing images. I wanted to specifically train my neural network on my dedicated Nvidia graphics card because it is much faster. In order to do that, I had to set up Nvidia CUDA, a parallel computing platform that allows developers to use their Nvidia graphics card for general purpose processing. I coded in Python using Juypter Notebook. I used the Keras Library to create a neural network that can classify images of dogs and cats. The dataset was found in the <a href="https://www.kaggle.com/c/dogs-vs-cats/overview">Dogs vs. Cats</a> challenge which I completed successfully.
<table>
<tbody>
<tr>
<td width="33%">Dog Images Dataset</td>
<td width="33%">Cat Images Dataset</td>
<td width="33%">Training Neural Network on my GPU</td>
</tr>
<tr>
<td>
          <img src="https://i.imgur.com/VzM9BZr.jpg" alt="Dog Images Dataset Photo"></td>
<td>
          <img src="https://i.imgur.com/NpOd8b2.jpg" alt="Cat Images Dataset Photo"></td>
<td>
          <img src="https://i.imgur.com/F1Iw8jY.png" alt="Training Neural Network Photo"></td>
</tr>
</tbody>
</table>
<a class="moreInfoRef" href="/">Go Home</a>
